Subject: Re: bug#54562: 28.0.91; Emoji sequence not composed

From: Po Lu <[email-masked]>
Date: Fri, 25 Mar 2022 22:05:32 +0800

Eli Zaretskii <[email-masked]> writes:

> Why do you think what they do is "correct"?  AFAIK, we use the Unicode
> Standard's definition of Emoji sequences to decide when U+FE0F
> warrants an Emoji representation.  maybe those other applications
> default to Emoji representation of every character that can possibly
> have such a representation, but in Emacs such a default cannot make
> sense.

I don't know whether or not their behavior is correct, but this sequence
is seen in the wild (for example, the Mac OS input methods generate
these sequences), so maybe it is worth supporting.